Package org.eclipse.birt.report.model.api.simpleapi

# Interface ICell

All Superinterfaces:
  `IDesignElement`

public interface ICell extends IDesignElement
Represents a the design of a Cell in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`int`
`getAntidiagonalNumber()`
Gets the number of the anti-diagonal lines that are from the top-right to bottom-left.
`String`
`getAntidiagonalStyle()`
Returns the style of the anti-diagonal lines that are from the top-right to bottom-left.
`String`
`getAntidiagonalThickness()`
Gets the thickness of the anti-diagonal line that is from top-right to bottom-left corner using a dimension string.
`int`
`getColumn()`
Returns the cell's column property.
`int`
`getColumnSpan()`
Returns the cell's column span.
`int`
`getDiagonalNumber()`
Gets the number of the diagonal lines that are from top-left to bottom-right corner.
`String`
`getDiagonalStyle()`
Returns the style of the diagonal line that is from top-left to bottom-right corner.
`String`
`getDiagonalThickness()`
Gets the the thickness of the diagonal that are from top-left to bottom-right corner using a dimension string.
`String`
`getDrop()`
Returns the cell's drop property.
`String`
`getHeight()`
Returns the cell's height.
`int`
`getRowSpan()`
Returns the cell's row span.
`String`
`getWidth()`
Returns the cell's width.
`void`
`setAntidiagonalNumber(int antidiagonalNumber)`
Sets the number of the anti-diagonal lines that are from the top-right to bottom-left.
`void`
`setAntidiagonalStyle(String antidiagonalStyle)`
Sets the style of the anti-diagonal lines that are from the top-right to bottom-left.
`void`
`setAntidiagonalThickness(String thickness)`
Sets the the thickness of the anti-diagonal that is from top-right to bottom-left corner using a dimension string with optional unit suffix such as "10" or "10pt".
`void`
`setColumn(int column)`
Sets the cell's column property.
`void`
`setDiagonalNumber(int diagonalNumber)`
Sets the number of the diagonal lines that are from top-left to bottom-right corner.
`void`
`setDiagonalStyle(String lineStyle)`
Sets the style of the diagonal line that is from top-left to bottom-right corner.
`void`
`setDiagonalThickness(String thickness)`
Sets the the thickness of the diagonal that is from top-left to bottom-right corner using a dimension string with optional unit suffix such as "10" or "10pt".
`void`
`setDrop(String drop)`
Sets the cell's drop property.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

## Method Details

### getColumnSpan

int getColumnSpan()
Returns the cell's column span. This is the number of table or grid columns occupied by this cell.

Returns:
  the column span

### getRowSpan

int getRowSpan()
Returns the cell's row span. This is the number of table or grid rows occupied by this cell.

Returns:
  the row span

### getDrop

String getDrop()
Returns the cell's drop property. This is how the cell should expand to fill the entire table or group. This property is valid only for cells within a table; but not for cells within a grid.

Returns:
  the string value of the drop property
See Also:
  - `setDrop(String)`

### setDrop

void setDrop(String drop) throws SemanticException
Sets the cell's drop property. The input value is defined in `DesignChoiceConstants` and can be one of:

- DROP_TYPE_NONE
- DROP_TYPE_DETAIL
- DROP_TYPE_ALL

Note that This property is valid only for cells within a table; but not for cells within a grid.

Parameters:
  `drop` - the string value of the drop property
Throws:
  `SemanticException` - if the property is locked or the input value is not one of the above.
See Also:
  - `getDrop()`

### getColumn

int getColumn()
Returns the cell's column property. The return value gives the column in which the cell starts. Columns are numbered from 1.

Returns:
  the column index, starting from 1.

### setColumn

void setColumn(int column) throws SemanticException
Sets the cell's column property. The input value gives the column in which the cell starts. Columns are numbered from 1.

Parameters:
  `column` - the column index, starting from 1.
Throws:
  `SemanticException` - if this property is locked.

### getHeight

String getHeight()
Returns the cell's height.

Returns:
  the cell's height

### getWidth

String getWidth()
Returns the cell's width.

Returns:
  the cell's width

### setDiagonalNumber

void setDiagonalNumber(int diagonalNumber) throws SemanticException
Sets the number of the diagonal lines that are from top-left to bottom-right corner.

Parameters:
  `diagonalNumber` - the diagonal number.
Throws:
  `SemanticException`

### getDiagonalNumber

int getDiagonalNumber()
Gets the number of the diagonal lines that are from top-left to bottom-right corner.

Returns:
  the diagonal number.

### setDiagonalStyle

void setDiagonalStyle(String lineStyle) throws SemanticException
Sets the style of the diagonal line that is from top-left to bottom-right corner. The input value is one of constants defined in `DesignChoiceConstants`:

- `LINE_STYLE_NONE`
- `LINE_STYLE_SOLID`
- `LINE_STYLE_DOTTED`
- `LINE_STYLE_DASHED`
- `LINE_STYLE_DOUBLE`
- `LINE_STYLE_GROOVE`
- `LINE_STYLE_RIDGE`
- `LINE_STYLE_INSET`
- `LINE_STYLE_OUTSET`

Parameters:
  `lineStyle` - the line style.
Throws:
  `SemanticException` - if the input value is not one of the above.

### getDiagonalStyle

String getDiagonalStyle()
Returns the style of the diagonal line that is from top-left to bottom-right corner. The return value is one of constants defined in `DesignChoiceConstants`:

- `LINE_STYLE_NONE`
- `LINE_STYLE_SOLID`
- `LINE_STYLE_DOTTED`
- `LINE_STYLE_DASHED`
- `LINE_STYLE_DOUBLE`
- `LINE_STYLE_GROOVE`
- `LINE_STYLE_RIDGE`
- `LINE_STYLE_INSET`
- `LINE_STYLE_OUTSET`

Returns:
  the line style in string.

### setAntidiagonalNumber

void setAntidiagonalNumber(int antidiagonalNumber) throws SemanticException
Sets the number of the anti-diagonal lines that are from the top-right to bottom-left.

Parameters:
  `antidiagonalNumber` - the anti-diagonal number
Throws:
  `SemanticException`

### getAntidiagonalNumber

int getAntidiagonalNumber()
Gets the number of the anti-diagonal lines that are from the top-right to bottom-left.

Returns:
  the anti-diagonal number.

### getAntidiagonalStyle

String getAntidiagonalStyle()
Returns the style of the anti-diagonal lines that are from the top-right to bottom-left. The return value is one of constants defined in `DesignChoiceConstants`:
`LINE_STYLE_NONE`
`LINE_STYLE_SOLID`
`LINE_STYLE_DOTTED`
`LINE_STYLE_DASHED`
`LINE_STYLE_DOUBLE`
`LINE_STYLE_GROOVE`
`LINE_STYLE_RIDGE`
`LINE_STYLE_INSET`
`LINE_STYLE_OUTSET`

Returns:
  the line style in string.

- ### setAntidiagonalStyle

  void setAntidiagonalStyle(String antidiagonalStyle) throws SemanticException
  Sets the style of the anti-diagonal lines that are from the top-right to bottom-left. The input value is one of constants defined in `DesignChoiceConstants`:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`
  Parameters:
    `antidiagonalStyle` - the new line style.
  Throws:
    `SemanticException` - if the input value is not one of the above.

- ### getDiagonalThickness

  String getDiagonalThickness()
  Gets the the thickness of the diagonal that are from top-left to bottom-right corner using a dimension string. Besides the dimension value,the value can be one of constants defined in `DesignChoiceConstatns`:
  - `LINE_WIDTH_THIN`
  - `LINE_WIDTH_MEDIUM`
  - `LINE_WIDTH_THICK`
  Returns:
    the thickness of the line.

- ### setDiagonalThickness

  void setDiagonalThickness(String thickness) throws SemanticException
  Sets the the thickness of the diagonal that is from top-left to bottom-right corner using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user. Besides the dimension value,the value maybe one of constants defined in `DesignChoiceConstatns`:
  - `LINE_WIDTH_THIN`
  - `LINE_WIDTH_MEDIUM`
  - `LINE_WIDTH_THICK`
  Parameters:
    `thickness` - the thickness of the line.
  Throws:
    `SemanticException`

- ### getAntidiagonalThickness

  String getAntidiagonalThickness()
  Gets the thickness of the anti-diagonal line that is from top-right to bottom-left corner using a dimension string. Besides the dimension value,the value can be one of constants defined in `DesignChoiceConstatns`:
  - `LINE_WIDTH_THIN`
  - `LINE_WIDTH_MEDIUM`
  - `LINE_WIDTH_THICK`
  Returns:
    the thickness of the line.

- ### setAntidiagonalThickness

  void setAntidiagonalThickness(String thickness) throws SemanticException
  Sets the the thickness of the anti-diagonal that is from top-right to bottom-left corner using a dimension string with optional unit suffix such as "10" or "10pt". If no suffix is provided, then the units are assumed to be in the design's default units. Call this method to set a string typed in by the user. Besides the dimension value,the value maybe one of constants defined in `DesignChoiceConstatns`:
  - `LINE_WIDTH_THIN`
  - `LINE_WIDTH_MEDIUM`
  - `LINE_WIDTH_THICK`
  Parameters:
    `thickness` - the thickness of the line.
  Throws:
    `SemanticException`